Skip to main content
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
aiAgents
/
{agentUuid}
/
threads
/
{threadUuid}
Error
A valid request URL is required to generate request examples
{
  "results": {
    "user": {
      "name": "<string>",
      "uuid": "<string>"
    },
    "firstMessage": {
      "message": "<string>",
      "uuid": "<string>"
    },
    "titleGeneratedAt": "<string>",
    "title": "<string>",
    "createdFrom": "<string>",
    "createdAt": "<string>",
    "agentUuid": "<string>",
    "uuid": "<string>",
    "compactions": [
      {
        "createdAt": "<string>",
        "triggeringPromptUuid": "<string>",
        "compactedThroughPromptUuid": "<string>",
        "threadUuid": "<string>",
        "uuid": "<string>"
      }
    ],
    "messages": [
      {
        "context": [
          {
            "runtimeOverrides": {
              "dateZoom": {
                "xAxisFieldId": "<string>"
              },
              "dashboardParameters": {},
              "dashboardFilters": {
                "tableCalculations": [
                  {
                    "id": "<string>",
                    "target": {
                      "tableName": "<string>",
                      "fieldId": "<string>",
                      "isSqlColumn": true
                    },
                    "values": [
                      "<unknown>"
                    ],
                    "settings": "<unknown>",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "<string>"
                    ],
                    "singleValue": true,
                    "label": "<string>",
                    "tileTargets": {}
                  }
                ],
                "metrics": [
                  {
                    "id": "<string>",
                    "target": {
                      "tableName": "<string>",
                      "fieldId": "<string>",
                      "isSqlColumn": true
                    },
                    "values": [
                      "<unknown>"
                    ],
                    "settings": "<unknown>",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "<string>"
                    ],
                    "singleValue": true,
                    "label": "<string>",
                    "tileTargets": {}
                  }
                ],
                "dimensions": [
                  {
                    "id": "<string>",
                    "target": {
                      "tableName": "<string>",
                      "fieldId": "<string>",
                      "isSqlColumn": true
                    },
                    "values": [
                      "<unknown>"
                    ],
                    "settings": "<unknown>",
                    "disabled": true,
                    "required": true,
                    "caseSensitive": true,
                    "lockedTabUuids": [
                      "<string>"
                    ],
                    "singleValue": true,
                    "label": "<string>",
                    "tileTargets": {}
                  }
                ]
              }
            },
            "displayName": "<string>",
            "pinnedVersionUuid": "<string>",
            "chartSlug": "<string>",
            "chartUuid": "<string>"
          }
        ],
        "user": {
          "name": "<string>",
          "uuid": "<string>"
        },
        "createdAt": "<string>",
        "message": "<string>",
        "threadUuid": "<string>",
        "uuid": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lightdash.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

projectUuid
string
required
agentUuid
string
required
threadUuid
string
required

Response

Success

results
object
required
status
enum<string>
required
Available options:
ok